summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-10-10 09:56:58 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-10-10 09:58:04 +0200
commit6af34c82e1362265aaf11ccbf6638e0c7b83ee6e (patch)
tree51a91cb7d0602be65443a0df8a40e49f2c6acfa0
parentsci-calculators/units: USE flag 'units_cur' uses reserved underscore character (diff)
downloadgentoo-6af34c82e1362265aaf11ccbf6638e0c7b83ee6e.tar.gz
gentoo-6af34c82e1362265aaf11ccbf6638e0c7b83ee6e.tar.bz2
gentoo-6af34c82e1362265aaf11ccbf6638e0c7b83ee6e.zip
net-print/cups-filters: Bump to version 1.25.10
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--net-print/cups-filters/Manifest1
-rw-r--r--net-print/cups-filters/cups-filters-1.25.10.ebuild134
2 files changed, 135 insertions, 0 deletions
diff --git a/net-print/cups-filters/Manifest b/net-print/cups-filters/Manifest
index 6a58b3b89af..ebdffb28f4b 100644
--- a/net-print/cups-filters/Manifest
+++ b/net-print/cups-filters/Manifest
@@ -1,4 +1,5 @@
DIST cups-filters-1.21.6.tar.xz 1474944 BLAKE2B a4c3418accb9d2bf46a366ec6004919d2a5c2c0a02022102270da17fb81915428275aadf58f1f50f8ca022e1c09cbdbd7300492fa38c53d4a2cbc4c4b86a09e3 SHA512 804250745ac710706ff1bfa6e161c0b1a8a65a74850a76a311b7614694a7e5d07f01dfd15f277ad79ed7fe1e84ea680bab1643e0b82cefa3e26603fa2eea935a
DIST cups-filters-1.22.6.tar.xz 1477584 BLAKE2B 7d833c3e97c510eabcc906bbd01d4d1ef2bf3106d963bdec7f735942e96a830c53ec2c03a4ef580d9fc01f19bae3962c1bd2a98d2af7f03f71988ae374366fee SHA512 6c1c46bd74f700b3ab0a46cb4b5b7ecc93000122e9deb20b43878d876cbe2ceeeb4a3c16ef6de00497b10447d04f2689a5d939d0d49212e7274cc51b4617c296
+DIST cups-filters-1.25.10.tar.xz 1483276 BLAKE2B 34961ec157db992b4225413143566e9d74f8effc879848ff4a47cbd1b87d3fab7b41b75d3a48310c2b56cc834e7999d4268eaa5f30a7e20a3969c13cb4c98585 SHA512 1ac2e05e4a9c7ccc000f39d4a0cfa66e1328a049154cede71602bdef5ba5a19a13fa4e48d33adb7e19849bc4f659559ff73151f8b2b36c1eb6d1625396704abf
DIST cups-filters-1.25.5.tar.xz 1450264 BLAKE2B 126f32604ff4b2599154406177f8aeaf061f9624255177de968f88706a9138ed9fc8f170987bc25bb4c3801b33432c51c304d2b4a1bdc7249b7472d9cbaadca6 SHA512 4e7126f4c439cb7392484dd3531023da5a1c885c7a6c7377260e7cccc2f3f51e3d0aa879965ecdb2625217d6f9ee1ca9c860c4fc05a7959697cd269696f10f59
DIST cups-filters-1.25.6.tar.xz 1482160 BLAKE2B 13587dc5153e7e0368b2d4edcfab0aec3864b1b17e403fc54bd1f0677ed8611934b55bfbd5ce2a474486a9e56e946530493afba3a7d7bc2731f08bb11dbe2bdb SHA512 14c958bcb98e4addde84c3c0d27e7056f1b4790b8502f5fb0c23c1e2cf80a6fd22fa39816a2f2e6c0501272a57cfcc84ce939a8614563e795e5d2ae035972f33
diff --git a/net-print/cups-filters/cups-filters-1.25.10.ebuild b/net-print/cups-filters/cups-filters-1.25.10.ebuild
new file mode 100644
index 00000000000..cdc922f82de
--- /dev/null
+++ b/net-print/cups-filters/cups-filters-1.25.10.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+GENTOO_DEPEND_ON_PERL=no
+
+inherit perl-module systemd flag-o-matic
+
+if [[ "${PV}" == "9999" ]] ; then
+ inherit autotools git-r3
+ EGIT_REPO_URI="https://github.com/OpenPrinting/cups-filters.git"
+else
+ SRC_URI="http://www.openprinting.org/download/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~m68k-mint"
+fi
+DESCRIPTION="Cups filters"
+HOMEPAGE="https://wiki.linuxfoundation.org/openprinting/cups-filters"
+
+LICENSE="MIT GPL-2"
+SLOT="0"
+IUSE="dbus +foomatic ipp_autosetup jpeg ldap pclm pdf perl png +postscript static-libs test tiff zeroconf"
+
+RDEPEND="
+ >=app-text/poppler-0.32:=[cxx,jpeg?,lcms,tiff?,utils]
+ >=app-text/qpdf-8.3.0:=
+ dev-libs/glib:2
+ media-libs/fontconfig
+ media-libs/freetype:2
+ media-libs/lcms:2
+ >=net-print/cups-1.7.3
+ !<=net-print/cups-1.5.9999
+ sys-devel/bc
+ sys-libs/zlib
+ dbus? ( sys-apps/dbus )
+ foomatic? ( !net-print/foomatic-filters )
+ jpeg? ( virtual/jpeg:0 )
+ ldap? ( net-nds/openldap )
+ pdf? ( app-text/mupdf )
+ perl? ( dev-lang/perl:= )
+ png? ( media-libs/libpng:0= )
+ postscript? ( >=app-text/ghostscript-gpl-9.09[cups] )
+ tiff? ( media-libs/tiff:0 )
+ zeroconf? ( net-dns/avahi[dbus] )
+"
+DEPEND="${RDEPEND}
+ dev-util/gdbus-codegen
+ test? ( media-fonts/dejavu )
+"
+
+src_prepare() {
+ default
+ [[ "${PV}" == "9999" ]] && eautoreconf
+
+ # Bug #626800
+ append-cxxflags -std=c++11
+}
+
+src_configure() {
+ local myeconfargs=(
+ --enable-imagefilters
+ --localstatedir="${EPREFIX}"/var
+ --with-browseremoteprotocols=DNSSD,CUPS
+ --with-cups-rundir="${EPREFIX}"/run/cups
+ --with-fontdir="fonts/conf.avail"
+ --with-pdftops=pdftops
+ --with-rcdir=no
+ --without-php
+ $(use_enable dbus)
+ $(use_enable foomatic)
+ $(use_enable ipp_autosetup auto-setup-driverless)
+ $(use_enable ldap)
+ $(use_enable pclm)
+ $(use_enable pdf mutool)
+ $(use_enable postscript ghostscript)
+ $(use_enable static-libs static)
+ $(use_enable zeroconf avahi)
+ $(use_with jpeg)
+ $(use_with png)
+ $(use_with tiff)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ if use perl; then
+ pushd "${S}/scripting/perl" > /dev/null
+ perl-module_src_configure
+ perl-module_src_compile
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ default
+
+ if use perl; then
+ pushd "${S}/scripting/perl" > /dev/null
+ perl-module_src_install
+ perl_delete_localpod
+ popd > /dev/null
+ fi
+
+ if use postscript; then
+ # workaround: some printer drivers still require pstoraster and pstopxl, bug #383831
+ dosym gstoraster /usr/libexec/cups/filter/pstoraster
+ dosym gstopxl /usr/libexec/cups/filter/pstopxl
+ fi
+
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+
+ cp "${FILESDIR}"/cups-browsed.init.d-r1 "${T}"/cups-browsed || die
+
+ if ! use zeroconf ; then
+ sed -i -e 's:need cupsd avahi-daemon:need cupsd:g' "${T}"/cups-browsed || die
+ sed -i -e 's:cups\.service avahi-daemon\.service:cups.service:g' "${S}"/utils/cups-browsed.service || die
+ fi
+
+ doinitd "${T}"/cups-browsed
+ systemd_dounit "${S}/utils/cups-browsed.service"
+}
+
+src_test() {
+ emake check
+}
+
+pkg_postinst() {
+ if ! use foomatic ; then
+ ewarn "You are disabling the foomatic code in cups-filters. Please do that ONLY if absolutely."
+ ewarn "necessary. net-print/foomatic-filters as replacement is deprecated and unmaintained."
+ fi
+}